Rails.application.routes.draw do
  mount ProductManagement::Engine, at: "/product_management", as: :product_management
  mount Crud::Engine, at: "/crud", as: :crud

  # Monitoring & Metrics
  get 'health' => 'application#health'
  get 'ready' => 'application#ready'
  get 'test_gauge', to: 'prometheus#test_gauge'

  root to: 'landing_page#index'
end
